| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
Gaudi::Utils::PropertyTypeTraits< T(&)[N]> Struct Template Reference

`#include <GaudiKernel/CArrayAsProperty.h>`

Inheritance diagram for Gaudi::Utils::PropertyTypeTraits< T(&)[N]>:
[legend]

## Public Types
typedef T(& | Type)[N]
typedef T(& | PRef)[N]
typedef T(* | PVal)[N]
typedef const T(& | CRef)[N]
typedef const T(* | CVal)[N]

## Static Public Member Functions
static PVal | new_ ()
| some kind of "default" constructor More...
static PVal | new_ (Type right)
| some kind of "copy" constructor More...
static PVal | copy (PVal *right, const bool own)
| some kind of "smart"-pseudo-constructor More...
static void | dele (PVal right, const bool own)
| "smart" pseudo-destructor More...
static void | assign (Type v1, PRef v2)
static void | assign (Type v1, CRef v2)
static bool | less (Type v1, Type v2)
| comparison (needed for bounded verifier) More...
static bool | less (Type v1, CRef v2)
static bool | less (CRef v1, CRef v2)
static bool | less (CRef v1, Type v2)

## Detailed Description

### template<class T, unsigned int N>
struct Gaudi::Utils::PropertyTypeTraits< T(&)[N]>

Definition at line 43 of file CArrayAsProperty.h.

## Member Typedef Documentation

template<class T , unsigned int N>

typedef const T(& Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::CRef)[N]

Definition at line 49 of file CArrayAsProperty.h.

template<class T , unsigned int N>

typedef const T(* Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::CVal)[N]

Definition at line 50 of file CArrayAsProperty.h.

template<class T , unsigned int N>

typedef T(& Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::PRef)[N]

Definition at line 47 of file CArrayAsProperty.h.

template<class T , unsigned int N>

typedef T(* Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::PVal)[N]

Definition at line 48 of file CArrayAsProperty.h.

template<class T , unsigned int N>

typedef T(& Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::Type)[N]

Definition at line 46 of file CArrayAsProperty.h.

## Member Function Documentation

template<class T , unsigned int N>

static void Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::assign | ( | Type | v1,
|  | PRef | v2
| ) |  |
| inline static

Definition at line 74 of file CArrayAsProperty.h.

74 { std::copy ( v2 , v2 + N , v1 ) ; }
std::copy
T copy(T...args)
IOTest.N
int N
Definition: IOTest.py:90
template<class T , unsigned int N>

static void Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::assign | ( | Type | v1,
|  | CRef | v2
| ) |  |
| inline static

Definition at line 75 of file CArrayAsProperty.h.

75 { std::copy ( v2 , v2 + N , v1 ) ; }
std::copy
T copy(T...args)
IOTest.N
int N
Definition: IOTest.py:90
template<class T , unsigned int N>

static PVal Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::copy | ( | PVal * | right,
|  | const bool | own
| ) |  |
| inline static

some kind of "smart"-pseudo-constructor

Definition at line 64 of file CArrayAsProperty.h.

65 {
66 if ( !own ) { return right ; }
67 return new_ ( *right ) ;
68 }
std::right
T right(T...args)
Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::new_
static PVal new_()
some kind of "default" constructor
Definition: CArrayAsProperty.h:55
template<class T , unsigned int N>

static void Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::dele | ( | PVal | right,
|  | const bool | own
| ) |  |
| inline static

"smart" pseudo-destructor

Definition at line 70 of file CArrayAsProperty.h.

71 { if ( own ) { delete[] right ; } }
std::right
T right(T...args)
template<class T , unsigned int N>

static bool Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::less | ( | Type | v1,
|  | Type | v2
| ) |  |
| inline static

comparison (needed for bounded verifier)

Definition at line 77 of file CArrayAsProperty.h.

78 { return std::lexicographical_compare ( v1 , v1 + N , v2 , v2 + N ) ; }
IOTest.N
int N
Definition: IOTest.py:90
std::lexicographical_compare
T lexicographical_compare(T...args)
template<class T , unsigned int N>

static bool Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::less | ( | Type | v1,
|  | CRef | v2
| ) |  |
| inline static

Definition at line 79 of file CArrayAsProperty.h.

80 { return std::lexicographical_compare ( v1 , v1 + N , v2 , v2 + N ) ; }
IOTest.N
int N
Definition: IOTest.py:90
std::lexicographical_compare
T lexicographical_compare(T...args)
template<class T , unsigned int N>

static bool Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::less | ( | CRef | v1,
|  | CRef | v2
| ) |  |
| inline static

Definition at line 81 of file CArrayAsProperty.h.

82 { return std::lexicographical_compare ( v1 , v1 + N , v2 , v2 + N ) ; }
IOTest.N
int N
Definition: IOTest.py:90
std::lexicographical_compare
T lexicographical_compare(T...args)
template<class T , unsigned int N>

static bool Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::less | ( | CRef | v1,
|  | Type | v2
| ) |  |
| inline static

Definition at line 83 of file CArrayAsProperty.h.

84 { return std::lexicographical_compare ( v1 , v1 + N , v2 , v2 + N ) ; }
IOTest.N
int N
Definition: IOTest.py:90
std::lexicographical_compare
T lexicographical_compare(T...args)
template<class T , unsigned int N>

static PVal Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::new_ | ( |  | ) |
| inline static

some kind of "default" constructor

Definition at line 55 of file CArrayAsProperty.h.

55 { return new T[N] ; }
IOTest.N
int N
Definition: IOTest.py:90
template<class T , unsigned int N>

static PVal Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::new_ | ( | Type | right | ) |
| inline static

some kind of "copy" constructor

Definition at line 57 of file CArrayAsProperty.h.

58 {
59 PVal tmp = new_ () ;
60 assign ( tmp , right ) ;
61 return tmp ;
62 }
Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::assign
static void assign(Type v1, PRef v2)
Definition: CArrayAsProperty.h:74
Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::new_
static PVal new_()
some kind of "default" constructor
Definition: CArrayAsProperty.h:55
Gaudi::Utils::PropertyTypeTraits< T(&)[N]>::PVal
T(* PVal)[N]
Definition: CArrayAsProperty.h:48

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/CArrayAsProperty.h